#ifndef __POKKTAPP_SCENE_H__
#define __POKKTAPP_SCENE_H__

#include "cocos2d.h"
#include "../view/BaseView.h"
#include "../../../../pokktsdk/pokkt.h"
//#include "UITextField.h"

using namespace cocos2d;
using namespace pokkt;


class PokktScene : public CCLayerColor
{
public:
    
    static CCScene* createScene();
    
    void handleEnterForeground();
    
    CREATE_FUNC(PokktScene);
    
protected:
    
    virtual bool init();
    
    void initVersion(const char *version);
    
private:
    
    void handleChangeScene(CCObject* pSender);
    void handleCloseCallback(CCObject* pSender);
    
    // view
    BaseView* _currentView;
};

#endif // __POKKTAPP_SCENE_H__
