#include "AppDelegate.h"
#include "com/pokkt/app/scene/PokktScene.h"

USING_NS_CC;

AppDelegate::AppDelegate() {

}

AppDelegate::~AppDelegate() 
{
}

bool AppDelegate::applicationDidFinishLaunching() {
    // initialize director
    CCDirector* pDirector = CCDirector::sharedDirector();
    CCEGLView* pEGLView = CCEGLView::sharedOpenGLView();
    
    pDirector->setOpenGLView(pEGLView);
/*#if CC_TARGET_PLATFORM == CC_PLATFORM_WIN32
	pEGLView->setFrameSize(360, 480);
	pDirector->setContentScaleFactor(1.5);
#endif // DEBUG*/
	//pEGLView->setDesignResolutionSize(768, 1024, kResolutionFixedHeight);
	pEGLView->setDesignResolutionSize(750, 1334, kResolutionFixedHeight);
    
    // turn on display FPS
    pDirector->setDisplayStats(false);

    // set FPS. the default value is 1.0/60 if you don't call this
    pDirector->setAnimationInterval(1.0 / 60);
    
    // create a scene. it's an autorelease object
    _scene = PokktScene::createScene();

    // run
    pDirector->runWithScene(_scene);

    return true;
}

// This function will be called when the app is inactive. When comes a phone call,it's be invoked too
void AppDelegate::applicationDidEnterBackground() {
    CCDirector::sharedDirector()->stopAnimation();

    // if you use SimpleAudioEngine, it must be pause
    // SimpleAudioEngine::sharedEngine()->pauseBackgroundMusic();
}

// this function will be called when the app is active again
void AppDelegate::applicationWillEnterForeground() {
    CCDirector::sharedDirector()->startAnimation();

    // if you use SimpleAudioEngine, it must resume here
    // SimpleAudioEngine::sharedEngine()->resumeBackgroundMusic();
    
    //PokktScene *layer = (PokktScene*)_scene->getChildByTag(143);
    //layer->handleEnterForeground();
}
