#ifndef PCPokktConfig_h
#define PCPokktConfig_h

#include <string>


namespace pokkt
{
    class PCPokktConfig
    {
    public:
        // common
        std::string applicationId;
        std::string securityKey;
        std::string thirdPartyUserId;
        std::string integrationType;
        
        // offerwall specific
        std::string offerwallAssetValue;
        bool closeOnSuccessFlag;
        
        // optional
        std::string name;
        std::string age;
        std::string sex;
        std::string mobileNo;
        std::string emailAddress;
        std::string location;
        std::string birthday;
        std::string maritalStatus;
        std::string facebookId;
        std::string twitterHandle;
        std::string education;
        std::string nationality;
        std::string employment;
        std::string maturityRating;
        
        // analytics
        std::string selectedAnalyticsType;
        std::string googleAnalyticsID;
        std::string mixPanelProjectToken;
        std::string flurryApplicationKey;
    };
}

#endif /* PCPokktConfig_h */
